uk.gov.hmrc.accessibility.validation.html

# HtmlValidationTester

###
Related Docs: object HtmlValidationTester | package html

#### class HtmlValidationTester extends CucumberAccessibilityTester[HtmlValidationError]

Linear Supertypes
CucumberAccessibilityTester[HtmlValidationError], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HtmlValidationTester
2. CucumberAccessibilityTester
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new HtmlValidationTester(driver: WebDriver, runner: ValidationRunner = new APIHtmlValidationRunner, checkerCons: (ValidationRunner) ⇒ AccessibilityChecker[HtmlValidationError] = ...)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def checkContent(pageSource: String, filter: (HtmlValidationError) ⇒ Boolean = _ => true): Seq[HtmlValidationError]

   Definition Classes
     CucumberAccessibilityTester

6. #### val checker: AccessibilityChecker[HtmlValidationError]

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### var currentScenario: Option[Scenario]

   Definition Classes
     CucumberAccessibilityTester

9. #### def endScenario(): Unit

   Definition Classes
     CucumberAccessibilityTester

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def executeTest(pageSource: String): Seq[HtmlValidationError]

    Definition Classes
      HtmlValidationTester → CucumberAccessibilityTester

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### val logger: Logger

    Definition Classes
      CucumberAccessibilityTester

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### def prettyName(): String

    Definition Classes
      HtmlValidationTester → CucumberAccessibilityTester

22. #### def printTotalResults(): Unit

    Definition Classes
      CucumberAccessibilityTester

23. #### var scenarioResults: Seq[HtmlValidationError]

    Definition Classes
      CucumberAccessibilityTester

24. #### def startScenario(scenario: Scenario): Unit

    Definition Classes
      CucumberAccessibilityTester

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toString(): String

    Definition Classes
      AnyRef → Any

27. #### var totalResults: Int

    Definition Classes
      CucumberAccessibilityTester

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### def writeScenarioResults(scenario: Scenario, results: Seq[HtmlValidationError]): Unit

    Definition Classes
      HtmlValidationTester → CucumberAccessibilityTester

32. #### def writeStepResults(scenario: Scenario, results: Seq[HtmlValidationError]): Unit

    Definition Classes
      HtmlValidationTester → CucumberAccessibilityTester

### Inherited from CucumberAccessibilityTester[HtmlValidationError]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped